Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_Id_Uniqueness_Strategy Class Reference

Id uniqueness strategy. More...

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_Id_Uniqueness_Strategy:

[legend]
Collaboration diagram for TAO_Id_Uniqueness_Strategy:

[legend]
List of all members.

## Public Member Functions
virtual | ~TAO_Id_Uniqueness_Strategy (void)
| Virtual destructor.
virtual int | is_servant_in_map (PortableServer::Servant servant, int &deactivated)=0
| Must be used with UNIQUE_ID policy.
virtual int | unbind_using_user_id (const PortableServer::ObjectId &user_id)=0
virtual int | find_user_id_using_servant (PortableServer::Servant servant, PortableServer::ObjectId_out user_id)=0
virtual int | find_system_id_using_servant (PortableServer::Servant servant, PortableServer::ObjectId_out system_id, CORBA::Short &priority)=0
virtual int | bind_using_user_id (PortableServer::Servant servant, const PortableServer::ObjectId &user_id, CORBA::Short priority, TAO_Active_Object_Map_Entry *&entry)=0
virtual CORBA::Boolean | remaining_activations (PortableServer::Servant servant)=0
void | set_active_object_map (TAO_Active_Object_Map *active_object_map)
| Set the active map.
## Protected Attributes
TAO_Active_Object_Map * | active_object_map_
| Pointer to the active map.

## Detailed Description

Id uniqueness strategy.

Strategy for implementing points of variation between the UNIQUE_ID and the MULTIPLE_ID policies.

## Constructor & Destructor Documentation

TAO_Id_Uniqueness_Strategy::~TAO_Id_Uniqueness_Strategy | ( | void |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual int TAO_Id_Uniqueness_Strategy::bind_using_user_id | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | user_id,
|  | CORBA::Short | priority,
|  | TAO_Active_Object_Map_Entry *& | entry
| ) | `[pure virtual]`

| Can be used with any policy. With the SYSTEM_ID policy, <user_id> is actually <system_id>. Implemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

virtual int TAO_Id_Uniqueness_Strategy::find_system_id_using_servant | ( | PortableServer::Servant | servant,
|  | PortableServer::ObjectId_out | system_id,
|  | CORBA::Short & | priority
| ) | `[pure virtual]`

| Must be used with UNIQUE_ID policy. With the SYSTEM_ID policy, <user_id> is actually <system_id>. Implemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

virtual int TAO_Id_Uniqueness_Strategy::find_user_id_using_servant | ( | PortableServer::Servant | servant,
|  | PortableServer::ObjectId_out | user_id
| ) | `[pure virtual]`

| Must be used with UNIQUE_ID policy. With the SYSTEM_ID policy, <user_id> is actually <system_id>. Implemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

virtual int TAO_Id_Uniqueness_Strategy::is_servant_in_map | ( | PortableServer::Servant | servant,
|  | int & | deactivated
| ) | `[pure virtual]`

| Must be used with UNIQUE_ID policy. Implemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

virtual CORBA::Boolean TAO_Id_Uniqueness_Strategy::remaining_activations | ( | PortableServer::Servant | servant | ) | `[pure virtual]`

| Are there any remaining activations of <servant> in the active object map? Can be used with any policy. Implemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

void TAO_Id_Uniqueness_Strategy::set_active_object_map | ( | TAO_Active_Object_Map * | active_object_map | ) |

| Set the active map.

virtual int TAO_Id_Uniqueness_Strategy::unbind_using_user_id | ( | const PortableServer::ObjectId & | user_id | ) | `[pure virtual]`

| Can be used with any policy. With the SYSTEM_ID policy, <user_id> is actually <system_id>. Implemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

## Member Data Documentation

TAO_Active_Object_Map* TAO_Id_Uniqueness_Strategy::active_object_map_`[protected]`

| Pointer to the active map.

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp